/**
 * Classe oggetto che rappresenta un ingrediente.
 * 
 * @author Damiano Macedonio
 * @version 1.0
 */

public class Ingrediente{
	/**
	 * Nome ingrediente.
	 */
	private String nome;
	
	/**
	 * Prezzo.
	 */
	private double prezzo;
	
	/**
	 * Descrizione ingrediente.
	 */
	private String descrizione;

	/**
	 * Crea un nuovo oggetto Ingrediente con parametri impostati dall'utente.
	 * 
	 * @param nome        nome ingrediente
	 * @param prezzo      prezzo ingrediente
	 * @param descrizione descrizione ingrediente
	 */
	public Ingrediente(String nome, double prezzo, String descrizione) {
		this.nome = nome;
		this.prezzo = prezzo;
		this.descrizione = descrizione;
	}

	/**
	 * Ritorna il nome dell'ingrediente. 
	 *
	 * @return  nome ingrediente
	 */
	public String getNome() {
		return nome;
	}

	/**
	 * Ritorna il prezzo dell'ingrediente. 
	 *
	 * @return  prezzo ingrediente
	 */
	public double getPrezzo() {
		return prezzo;
	}
	
	/**
	 * Ritorna una descrizione testuale dell'ingrediente. 
	 *
	 * @return  descrizione testuale dell'ingrediente
	 */
	public String toString() {
		return nome + " (" + descrizione + ") " + prezzo + " euro"; 
	}
}
